%define upstream_name	 Config-Hosts
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Config::Hosts is an interface to /etc/hosts file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(Test::More) >= 0.820.0
BuildRequires: perl-devel

BuildArch: noarch

%description
Config::Hosts - Interface to /etc/hosts file. 

A tool that manages the hosts list on a machine, is able to 
query/insert/delete/update the entries by IP or by a hostname, 
and also maintains the original comments and some sanity checks 
on IP and hostname values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install

%check
#make test

%files 
%doc Changes META.yml README
%{perl_vendorlib}/Config
%{_mandir}/*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.30.0-8.mga9
+ Revision: 1802527
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-7.mga8
+ Revision: 1493571
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-6.mga7
+ Revision: 1266585
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.30.0-5.mga6
+ Revision: 1024294
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.30.0-4.mga6
+ Revision: 940494
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 744853
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-2.mga5
+ Revision: 683980
- Mageia 5 Mass Rebuild

* Sun Jan 19 2014 matteo <matteo> 0.30.0-1.mga5
+ Revision: 566887
- imported package perl-Config-Hosts

